POST
/api/v1/rds/cluster/{Cluster_id}/restore
curl --request POST \ --url 'https://api.e2enetworks.com/myaccount/api/v1/rds/cluster/{Cluster_id}/restore?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>' \ --header 'Content-Type: application/json' \ --data '{ "name": "vishnu", "template_id": "21", "snapshot_id": 0}'import requests
response = requests.post( "https://api.e2enetworks.com/myaccount/api/v1/rds/cluster/{Cluster_id}/restore", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"}, json={ "name": "vishnu", "template_id": "21", "snapshot_id": 0, },)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/rds/cluster/{Cluster_id}/restore");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "POST", headers: { "Authorization": "Bearer <API_TOKEN>", "Content-Type": "application/json" }, body: JSON.stringify({ "name": "vishnu", "template_id": "21", "snapshot_id": 0 }),});console.log(await response.json());Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Cluster_id
required
integer
Cluster Id
Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID Find your project id here
location
required
string
Deployment region for the resource. Accepted values: Delhi, Chennai.
Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.
Request Body
Section titled “Request Body”Media typeapplication/json
object
name
required
The n`ame of the DBaaS instance.
string
Example
vishnutemplate_id
required
The template ID used for the DBaaS instance.
string
Example
21snapshot_id
required
The snapshot ID associated with the DBaaS instance. Defaults to 0 if no snapshot is used.
integer
Example
0Responses
Section titled “Responses”DBaaS instance created successfully
Media typeapplication/json
object
code
integer
data
object
id
integer
name
string
status
string
status_title
string
status_actions
Array<string>
num_instances
integer
software
object
name
string
version
string
engine
string
master_node
object
node_name
string
instance_id
integer
cluster_id
integer
node_id
integer
vm_id
integer
port
string
public_ip_address
string
private_ip_address
string
allowed_ip_address
object
whitelisted_ips
Array<string>
temp_ips
Array<string>
whitelisted_ips_tags
Array<string>
temp_ips_tags
Array<string>
whitelisting_in_progress
boolean
database
object
id
integer
username
string
database
string
pg_detail
object
ram
string
cpu
string
disk
string
status
string
db_status
string
created_at
string
plan
object
name
string
price
string
template_id
integer
ram
string
cpu
string
disk
string
currency
string
software
object
name
string
version
string
engine
string
available_inventory_status
boolean
price_per_hour
number
price_per_month
number
ssl
boolean
domain
string
public_port
string
connectivity_detail
string
vector_database_status
string
project_name
string
snapshot_exist
boolean
errors
object
message
string
Example
{ "code": 200, "data": { "id": 5278, "name": "vishnu", "status": "CREATING", "status_title": "Creating", "status_actions": [ [] ], "num_instances": 1, "software": { "name": "MySQL", "version": "8.0", "engine": "Innodb" }, "master_node": { "node_name": "vishnu-Node-1", "instance_id": 10660, "cluster_id": 5278, "node_id": 214205, "vm_id": 229019, "port": "3306", "public_ip_address": "164.52.212.232", "private_ip_address": "10.17.10.9", "allowed_ip_address": { "whitelisting_in_progress": false }, "database": { "id": 5278, "username": "admin", "database": "DB-26322-2920", "pg_detail": {} }, "ram": "16 GB", "cpu": "4", "disk": "200 GB", "status": "Creating", "db_status": "Creating", "created_at": "06/Feb/2025 06:45 PM", "plan": { "name": "DBS.16GB", "price": "Rs. 9.0/Hour or Rs. 6570.0 Monthly", "template_id": 427, "ram": "16", "cpu": "4", "disk": "200", "currency": "INR", "software": { "name": "MySQL", "version": "8.0", "engine": "Innodb" }, "available_inventory_status": true, "price_per_hour": 9, "price_per_month": 6570 }, "ssl": true, "domain": null, "public_port": null }, "connectivity_detail": "{'read_end_point': [], 'read_and_write_end_point': [], 'status': 'updating', 'type': 1}", "vector_database_status": "Disabled", "project_name": "default-project-33931", "snapshot_exist": false }, "errors": {}, "message": "Success"}